ARLN_READ_INT(3)

FUNCTION
arln_read_int - Read an integer value from the user.

SYNOPSIS
#include <karma_arln.h>

int arln_read_int

(CONST char *prompt, int default_value)

DESCRIPTION
This routine will prompt the user for a single integer number. If no input is given, the routine returns a default value.

prompt
    The prompt.

default_value
    The default value.

RETURN VALUE
The value.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/